%define docname %{name}

Name:           geeqie
Version:        1.6
Release:        %mkrel 3
Summary:        Graphics file browser utility
License:        GPLv2+
Group:          Graphics
URL:            http://www.geeqie.org/
Source0:        http://geeqie.org/%{name}-%{version}.tar.xz
Source1:        geeqie.desktop
Patch0:         fix-segfault.patch
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  intltool
BuildRequires:  lib64lirc-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  glib-gettextize

#mga5655 for the rotation scripts to work
Requires:       fbida
Requires:       ImageMagick
Requires:       exiv2

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.
Geeqie is a fork of gqview.

%prep
%setup -q
%apply_patches


%build
./autogen.sh
%configure2_5x --with-readmedir="%{_docdir}/%{docname}" \
                --enable-gtk3 \
                --enable-map \
                --enable-lirc 

%make_build

%install
#modified bindir as rotation scripts should be in the path
%make_install gq_bindir=%{_bindir}

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/geeqie.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_bindir}/lensID
%{_bindir}/geocode-parameters.awk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/template.desktop
%dir %{_datadir}/%{name}/applications
%{_datadir}/%{name}/applications/*
%{_datadir}/metainfo/org.geeqie.Geeqie.appdata.xml
%{_mandir}/man1/%{name}*
%{_datadir}/doc/

%changelog
* Sun Jan 10 2021 tex - 1.6-3pclos2021
- add segfault patch

* Fri Dec 11 2020 tex - 1.6-2pclos2020
- rebuild against updates

